Subject: Re: [PATCH][PPC32] mv64x60 updates

From: "Dale Farnsworth" <[email-masked]>
Date: Sun, 6 Mar 2005 18:00:58 -0700

On Sun, Mar 06, 2005 at 08:10:34PM +0100, Sven Luther wrote:
> On Sun, Mar 06, 2005 at 03:29:24AM -0700, Dale Farnsworth wrote:
> > MV64360 is in arch/ppc/Kconfig, and is currently defined for KATANA and
> > CHESTNUT.  If I understand correctly, it should be defined for any
> > board using the MV64360.  I don't think we want the PPC_CHRP dependency.
> 
> Ah, i guess that was the missing bit. Basically i need to set MV64360 for my
> board, but since it is a generic PPC_CHRP, how is that supposed to work ? 
> 
> Could you send me maybe a list of files which need merging yet, compared to
> 2.6.11 ? I guess it just doesn't work because i am missing pieces.

I would be guessing, since I've focused on the ethernet driver.  Mark
Greer <[email-masked]> has done the core mv64[34]60 core support.
Nicholas is working with regarding Pegasos II support.

> The pegasos has the mv64360 registers mapped at 0xf1000000, and the ports
> (only port1 is wired though) mapped at interrupt 9, shared with other devices.
> I guess that would be the only real difference with the other currently
> supported hardware, right ? 

Nicholas implied that the PCI IRQs are different as well.

-Dale